# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: store.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='store.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x0bstore.proto\"&\n\x10StoreListRequest\x12\x12\n\nproduct_id\x18\x01 \x01(\x05\"B\n\tStoreData\x12\n\n\x02id\x18\x01 \x01(\x05\x12\x0c\n\x04name\x18\x02 \x01(\t\x12\x0c\n\x04rate\x18\x03 \x01(\x02\x12\r\n\x05price\x18\x04 \x01(\x03\"/\n\x11StoreListResponse\x12\x1a\n\x06stores\x18\x01 \x03(\x0b\x32\n.StoreData27\n\x05Store\x12.\n\x05Store\x12\x11.StoreListRequest\x1a\x12.StoreListResponseb\x06proto3'
)




_STORELISTREQUEST = _descriptor.Descriptor(
  name='StoreListRequest',
  full_name='StoreListRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='product_id', full_name='StoreListRequest.product_id', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=15,
  serialized_end=53,
)


_STOREDATA = _descriptor.Descriptor(
  name='StoreData',
  full_name='StoreData',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='StoreData.id', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='name', full_name='StoreData.name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='rate', full_name='StoreData.rate', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='price', full_name='StoreData.price', index=3,
      number=4, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=55,
  serialized_end=121,
)


_STORELISTRESPONSE = _descriptor.Descriptor(
  name='StoreListResponse',
  full_name='StoreListResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='stores', full_name='StoreListResponse.stores', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=123,
  serialized_end=170,
)

_STORELISTRESPONSE.fields_by_name['stores'].message_type = _STOREDATA
DESCRIPTOR.message_types_by_name['StoreListRequest'] = _STORELISTREQUEST
DESCRIPTOR.message_types_by_name['StoreData'] = _STOREDATA
DESCRIPTOR.message_types_by_name['StoreListResponse'] = _STORELISTRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

StoreListRequest = _reflection.GeneratedProtocolMessageType('StoreListRequest', (_message.Message,), {
  'DESCRIPTOR' : _STORELISTREQUEST,
  '__module__' : 'store_pb2'
  # @@protoc_insertion_point(class_scope:StoreListRequest)
  })
_sym_db.RegisterMessage(StoreListRequest)

StoreData = _reflection.GeneratedProtocolMessageType('StoreData', (_message.Message,), {
  'DESCRIPTOR' : _STOREDATA,
  '__module__' : 'store_pb2'
  # @@protoc_insertion_point(class_scope:StoreData)
  })
_sym_db.RegisterMessage(StoreData)

StoreListResponse = _reflection.GeneratedProtocolMessageType('StoreListResponse', (_message.Message,), {
  'DESCRIPTOR' : _STORELISTRESPONSE,
  '__module__' : 'store_pb2'
  # @@protoc_insertion_point(class_scope:StoreListResponse)
  })
_sym_db.RegisterMessage(StoreListResponse)



_STORE = _descriptor.ServiceDescriptor(
  name='Store',
  full_name='Store',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=172,
  serialized_end=227,
  methods=[
  _descriptor.MethodDescriptor(
    name='Store',
    full_name='Store.Store',
    index=0,
    containing_service=None,
    input_type=_STORELISTREQUEST,
    output_type=_STORELISTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_STORE)

DESCRIPTOR.services_by_name['Store'] = _STORE

# @@protoc_insertion_point(module_scope)
